=== debian/control ===
Source: ros-melodic-canopen-402
Section: misc
Priority: optional
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-canopen-master, ros-melodic-catkin, ros-melodic-class-loader, ros-melodic-rosunit
Homepage: http://wiki.ros.org/canopen_402
Standards-Version: 3.9.2

Package: ros-melodic-canopen-402
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-canopen-master, ros-melodic-class-loader
Description: This implements the CANopen device profile for drives and motion control.
 CiA(r) 402
